Conic Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
Conic Class Referenceabstract

An Object representing a conic. More...

`#include <conic_imp.h>`

Inheritance diagram for Conic:
[legend]
Collaboration diagram for Conic:
[legend]

## Public Member Functions
Object * | transform (const Transformation &) const
| Return this Object, transformed by the transformation t.
virtual int | conicType () const
| Type of conic.
virtual TQString | conicTypeString () const
| A string containing "Hyperbola", "Parabola" or "Ellipse".
virtual TQString | cartesianEquationString (const KigDocument &w) const
| A string containing the cartesian equation of the conic.
virtual TQString | polarEquationString (const KigDocument &w) const
| A string containing the polar equation of the conic.
virtual const ConicCartesianData | cartesianData () const
| Return the cartesian representation of this conic.
virtual const ConicPolarData | polarData () const =0
| Return the polar representation of this conic.
virtual Coordinate | focus1 () const
| Return the first focus of this conic.
virtual Coordinate | focus2 () const
| Return the second focus of this conic.
const ObjectType * | type () const
| Returns the lowermost ObjectType that this object is an instantiation of.
bool | equals (const Object &rhs) const
| Returns true if this Object is equal to rhs.
bool | containsPoint (const Coordinate &p, const KigDocument &doc) const
| Return whether this Curve contains the given point.
Public Member Functions inherited from Curve
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
virtual Curve * | copy () const =0
| Returns a copy of this Object.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
bool | valid () const
| Returns true if this is a valid Object.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the Conic type.
Static Public Member Functions inherited from Curve
static const ObjectType * | stype ()
| Returns the ObjectType representing the Curve type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

An Object representing a conic.

A conic is a general second degree curve, and some beautiful theory has been developed about it.. See a math book for more information. This class is in fact an abstract base class hiding the fact that a Conic can be constructed in two ways. If only its Cartesian equation is known, then you should use ConicCart, otherwise, you should use ConicPolar. If the other representation is needed, it will be calculated, but a cartesian representation is rarely needed, and not calculating saves some CPU cycles.

## Member Function Documentation

## ◆ cartesianEquationString()

virtual TQString Conic::cartesianEquationString | ( | const KigDocument & | w | ) | const
| virtual

A string containing the cartesian equation of the conic.

This will be of the form "a x^2 + b y^2 + c xy + d x + e y + f = 0".

Reimplemented in Circle.

## ◆ conicType()

virtual int Conic::conicType | ( |  | ) | const
| virtual

Type of conic.

Return what type of conic this is: -1 for a hyperbola 0 for a parabola 1 for an ellipse

Reimplemented in Circle.

## ◆ containsPoint()

bool Conic::containsPoint | ( | const Coordinate & | p,
|  | const KigDocument & | ) const
| virtual

Return whether this Curve contains the given point.

This is implemented as a numerical approximation. lementations can/should use the value test_threshold in common.h as a threshold value.

Implements Curve.

## ◆ equals()

bool Conic::equals | ( | const Object & | rhs | ) | const
| virtual

Returns true if this Object is equal to rhs.

This function checks whether rhs is of the same Object type, and whether it contains the same data as this Object.

Implements Object.

## ◆ polarEquationString()

virtual TQString Conic::polarEquationString | ( | const KigDocument & | w | ) | const
| virtual

A string containing the polar equation of the conic.

This will be of the form "rho = pdimen/(1 + ect cos( theta ) + est sin( theta ) )\n [centered at p]"

Reimplemented in Circle.

## ◆ type()

const ObjectType * Conic::type | ( |  | ) | const
| virtual

Returns the lowermost ObjectType that this object is an instantiation of.

E.g. if you want to get a string containing the internal name of the type of an object, you can do:

tn = object.type().internalName()

Implements Object.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001